GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/linux-fork.h File Reference

Go to the source code of this file.

## Functions
struct fork_info * | add_fork (pid_t)
struct fork_info * | find_fork_pid (pid_t)
void | linux_fork_killall (void)
void | linux_fork_mourn_inferior (void)
void | linux_fork_detach (const char *, int)
int | forks_exist_p (void)
int | linux_fork_checkpointing_p (int)

## Function Documentation

## ◆ add_fork()

struct fork_info* add_fork | ( | pid_t |  | ) |

Definition at line 81 of file linux-fork.c.

References add_fork(), find_last_fork(), fork_list, highest_fork_num, inferior_ptid, fork_info::next, fork_info::num, pid, fork_info::ptid, ptid_build(), ptid_get_pid(), and XCNEW.

Referenced by add_fork(), and linux_handle_extended_wait().

## ◆ find_fork_pid()

struct fork_info* find_fork_pid | ( | pid_t |  | ) |

Definition at line 200 of file linux-fork.c.

References fork_list, fork_info::next, pid, fork_info::ptid, and ptid_get_pid().

Referenced by checkpoint_command(), and linux_handle_extended_wait().

## ◆ forks_exist_p()

int forks_exist_p | ( | void |  | ) |

Definition at line 58 of file linux-fork.c.

References fork_list.

Referenced by linux_nat_detach(), linux_nat_kill(), and linux_nat_mourn_inferior().

## ◆ linux_fork_checkpointing_p()

int linux_fork_checkpointing_p | ( | int |  | ) |

Definition at line 638 of file linux-fork.c.

References checkpointing_pid, and pid.

Referenced by linux_handle_extended_wait().

## ◆ linux_fork_detach()

void linux_fork_detach | ( | const char * | ,
|  | int |
| ) |  |

Definition at line 410 of file linux-fork.c.

References _, delete_fork(), error(), fork_list, fork_load_infrun_state(), gdb_assert, inferior_ptid, fork_info::next, printf_filtered(), ptid_get_pid(), ptrace(), and target_pid_to_str().

Referenced by linux_nat_detach().

## ◆ linux_fork_killall()

void linux_fork_killall | ( | void |  | ) |

Definition at line 342 of file linux-fork.c.

References fork_list, init_fork_list(), fork_info::next, pid, fork_info::ptid, ptid_get_pid(), status, and WIFSTOPPED.

Referenced by linux_nat_kill().

## ◆ linux_fork_mourn_inferior()

void linux_fork_mourn_inferior | ( | void |  | ) |

Definition at line 374 of file linux-fork.c.

References _, delete_fork(), find_last_fork(), fork_list, fork_load_infrun_state(), gdb_assert, inferior_ptid, fork_info::next, printf_filtered(), ptid_get_pid(), status, and target_pid_to_str().

Referenced by linux_nat_mourn_inferior().